org.apache.ignite.internal.processors.platform.utils

## Interface PlatformFutureUtils.Writer

Enclosing class:
  PlatformFutureUtils

    public static interface PlatformFutureUtils.Writer

Writer allowing special future result handling.

### Method Summary

Methods
`boolean` `canWrite(Object obj, Throwable err)` Determines whether this writer can write given data.
`void` `write(BinaryRawWriterEx writer, Object obj, Throwable err)` Write object.

### Method Detail

#### write

    void write(BinaryRawWriterEx writer,
             Object obj,
             Throwable err)

Write object.

Parameters:
  `writer` - Writer.
  `obj` - Object.
  `err` - Error.

#### canWrite

    boolean canWrite(Object obj,
                   Throwable err)

Determines whether this writer can write given data.

Parameters:
  `obj` - Object.
  `err` - Error.
Returns:
  Value indicating whether this writer can write given data.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015